|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.apache.velocity.tools.generic.SafeConfig
org.apache.velocity.tools.generic.LocaleConfig
org.apache.velocity.tools.generic.ConversionTool
org.apache.velocity.tools.generic.ValueParser
org.apache.velocity.tools.view.ParameterTool
@DefaultKey(value="params") @ValidScope(value="request") public class ParameterTool
Utility class for easy parsing of ServletRequest parameters.
Template example(s):
$params.foo -> bar
$params.getNumber('baz') -> 12.6
$params.getInt('baz') -> 12
$params.getNumbers('baz') -> [12.6]
Toolbox configuration:
<tools>
<toolbox scope="request">
<tool class="org.apache.velocity.tools.view.ParameterTool"/>
</toolbox>
</tools>
When used as a view tool, this should only be used in the request scope. This class is, however, quite useful in your application's controller, filter, or action code as well as in templates.
| Nested Class Summary |
|---|
| Nested classes/interfaces inherited from interface java.util.Map |
|---|
Map.Entry<K,V> |
| Field Summary |
|---|
| Fields inherited from class org.apache.velocity.tools.generic.ValueParser |
|---|
ALLOWSUBKEYS_KEY, READONLY_KEY |
| Fields inherited from class org.apache.velocity.tools.generic.ConversionTool |
|---|
DATE_FORMAT_KEY, DEFAULT_DATE_FORMAT, DEFAULT_NUMBER_FORMAT, DEFAULT_STRINGS_DELIMITER, DEFAULT_STRINGS_TRIM, NUMBER_FORMAT_KEY, STRINGS_DELIMITER_FORMAT_KEY, STRINGS_TRIM_KEY |
| Fields inherited from class org.apache.velocity.tools.generic.LocaleConfig |
|---|
DEFAULT_LOCALE |
| Fields inherited from class org.apache.velocity.tools.generic.SafeConfig |
|---|
LOCK_CONFIG_KEY, OLD_LOCK_CONFIG_KEY, SAFE_MODE_KEY |
| Constructor Summary | |
|---|---|
ParameterTool()
Constructs a new instance |
|
ParameterTool(ServletRequest request)
Constructs a new instance using the specified request. |
|
| Method Summary | |
|---|---|
protected void |
configure(ValueParser values)
Does the actual configuration. |
Map |
getAll()
Returns the map of all parameters available for the current request. |
protected ServletRequest |
getRequest()
Returns the current ServletRequest for this instance. |
protected Map |
getSource()
Overrides ValueParser.getSource() to return the result of getRequest().getParameterMap() and expand singleton arrays within it first. |
Object |
getValue(String key)
Overrides ValueParser.getValue(String key) to retrieve the value from the ServletRequest instead of an arbitrary Map. |
Object[] |
getValues(String key)
Overrides ValueParser.getValues(String key) to retrieve Strings from the ServletRequest instead of an arbitrary Map. |
void |
setRequest(ServletRequest request)
Sets the current ServletRequest |
protected void |
setSource(Map source)
Overrides ValueParser.setSource(Map source) to throw an UnsupportedOperationException, because this class uses a servlet request as its source, not a Map. |
| Methods inherited from class org.apache.velocity.tools.generic.ValueParser |
|---|
clear, containsKey, containsValue, entrySet, exists, get, get, getAllowSubkeys, getBoolean, getBoolean, getBoolean, getBooleans, getDouble, getDouble, getDouble, getDoubles, getInt, getInteger, getInteger, getInts, getLocale, getLocale, getLocales, getNumber, getNumber, getNumbers, getReadOnly, getString, getString, getStrings, getSubkey, getValue, hasSubkeys, isEmpty, keySet, put, putAll, remove, setAllowSubkeys, setReadOnly, size, toString, values |
| Methods inherited from class org.apache.velocity.tools.generic.ConversionTool |
|---|
getDateFormat, getNumberFormat, getStringsDelimiter, getStringsTrim, parseBoolean, parseDate, parseDate, parseDate, parseDate, parseDate, parseLocale, parseNumber, parseNumber, parseNumber, parseNumber, parseStringList, setDateFormat, setNumberFormat, setStringsDelimiter, setStringsTrim, toBoolean, toBooleans, toBooleans, toCalendar, toCalendars, toCalendars, toDate, toDates, toDates, toDouble, toDoubles, toInteger, toIntegers, toInts, toLocale, toLocales, toLocales, toNumber, toNumbers, toNumbers, toString, toStrings |
| Methods inherited from class org.apache.velocity.tools.generic.LocaleConfig |
|---|
getLocale, setLocale |
| Methods inherited from class org.apache.velocity.tools.generic.SafeConfig |
|---|
configure, isConfigLocked, isSafeMode, setLockConfig, setSafeMode |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait |
| Methods inherited from interface java.util.Map |
|---|
equals, hashCode |
| Constructor Detail |
|---|
public ParameterTool()
public ParameterTool(ServletRequest request)
request - the ServletRequest to be parsed| Method Detail |
|---|
protected void configure(ValueParser values)
ValueParser
configure in class ValueParserpublic void setRequest(ServletRequest request)
ServletRequest
request - the ServletRequest to be parsedprotected ServletRequest getRequest()
ServletRequest for this instance.
ServletRequest
UnsupportedOperationException - if the request is nullpublic Object getValue(String key)
getValue in class ValueParserkey - the parameter's key
null if there is no matching
parameterpublic Object[] getValues(String key)
getValues in class ValueParserkey - the key for the desired parameter
null
if the parameter does not existprotected void setSource(Map source)
setSource in class ValueParserprotected Map getSource()
getSource in class ValueParserpublic Map getAll()
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||